List Quality Profiles
curl --request GET \
--url https://eu.phrase.com/quality-evaluator/v1/qualityProfiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/quality-evaluator/v1/qualityProfiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/quality-evaluator/v1/qualityProfiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"uid": "6804b1c2d3e4f5a6b7c80123",
"name": "Marketing Content Profile",
"aiCheckUids": [
"6804a3f2e1b2c3d4e5f60789",
"6804a3f2e1b2c3d4e5f6078a"
],
"createdDate": "2024-01-15T10:30:00Z",
"lastModifiedDate": "2024-03-20T14:45:00Z",
"createdByUid": "6804c9d0e1f2a3b4c5d60456"
}
]
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied"
}{
"type": "urn:problem-type:forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions to perform this action"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}Quality Profiles
List Quality Profiles
deprecated
Deprecated. Will be removed on October 12, 2026. Quality Profiles are now managed through Content Groups. Use GET /v3/qualityProfiles/{contentGroupId} to retrieve a Quality Profile resolved from a Content Group.
Returns all Quality Profiles belonging to the caller’s organization. Supports filtering by creator and partial name match. Results are sorted by the requested field.
GET
/
v1
/
qualityProfiles
List Quality Profiles
Authorizations
Use a Bearer token obtained from Phrase Platform authentication. See the Authentication guide for details on how to obtain a token.
Query Parameters
Field to sort by.
Available options:
name, uid, createdDate, lastModifiedDate, createdByUid Sort order.
Available options:
asc, desc Filter by the UID of the user who created the profile.
Filter by name (case-insensitive, partial match).
Response
List of Quality Profiles.
Show child attributes
Show child attributes
Was this page helpful?